Package ru.bitel.bgbilling.kernel.event.events

# Class AppsEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.AppsEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class AppsEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AppsEvent​(java.lang.String module, int moduleId, java.lang.String action, int contractId, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,​java.lang.String> requestParamsMap)` |
  `AppsEvent​(java.lang.String plugin, java.lang.String action, int contractId, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,​java.lang.String> requestParamsMap)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAction()` |
  `java.util.Map<java.lang.String,​java.lang.Object>` | `getDataMap()` |
  `java.lang.String` | `getModule()` |
  `java.lang.String` | `getPlugin()` |
  `javax.servlet.http.HttpServletRequest` | `getRequest()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getRequestParamsMap()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AppsEvent

    public AppsEvent​(java.lang.String module, int moduleId, java.lang.String action, int contractId, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,​java.lang.String> requestParamsMap)

  - ### AppsEvent

    public AppsEvent​(java.lang.String plugin, java.lang.String action, int contractId, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,​java.lang.String> requestParamsMap)

- ## Method Details

  - ### getModule

    public java.lang.String getModule()

  - ### getPlugin

    public java.lang.String getPlugin()

  - ### getAction

    public java.lang.String getAction()

  - ### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

  - ### getDataMap

    public java.util.Map<java.lang.String,​java.lang.Object> getDataMap()

  - ### getRequestParamsMap

    public java.util.Map<java.lang.String,​java.lang.String> getRequestParamsMap()